PdxInfo (Apache Geode 1.13.6)
Date: 2021-12-14

org.apache.geode.management.runtime

## Class PdxInfo

- java.lang.Object
- - org.apache.geode.management.runtime.RuntimeInfo
  - - org.apache.geode.management.runtime.PdxInfo

- All Implemented Interfaces:
    Serializable, JsonSerializable

      @Experimental
      public class PdxInfo
      extends RuntimeInfo

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdxInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getDiskStoreName()`
    `String` | `getPdxSerializer()`
    `int` | `hashCode()`
    `boolean` | `isIgnoreUnreadFields()`
    `boolean` | `isReadSerialized()`
    `void` | `setDiskStoreName(String diskStoreName)`
    `void` | `setIgnoreUnreadFields(boolean ignoreUnreadFields)`
    `void` | `setPdxSerializer(String pdxSerializer)`
    `void` | `setReadSerialized(boolean readSerialized)`

    - ### Methods inherited from class org.apache.geode.management.runtime.RuntimeInfo

      `getMemberName, setMemberName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PdxInfo

          public PdxInfo()

  - ### Method Detail

    - #### isReadSerialized

          public boolean isReadSerialized()

    - #### setReadSerialized

          public void setReadSerialized(boolean readSerialized)

    - #### getDiskStoreName

          public String getDiskStoreName()

    - #### setDiskStoreName

          public void setDiskStoreName(String diskStoreName)

    - #### isIgnoreUnreadFields

          public boolean isIgnoreUnreadFields()

    - #### setIgnoreUnreadFields

          public void setIgnoreUnreadFields(boolean ignoreUnreadFields)

    - #### getPdxSerializer

          public String getPdxSerializer()

    - #### setPdxSerializer

          public void setPdxSerializer(String pdxSerializer)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `RuntimeInfo`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `RuntimeInfo`